#!/bin/bash

domain=${domain:-"demo.net"}
net=${net:-"10.2.3"}

echo "configuring netplan"
rm -f /etc/netplan/*
cat << EOF > /etc/netplan/${net}.yaml
network:
  version: 2
  renderer: networkd
  ethernets:
    eth0:
     dhcp4: false
     dhcp6: false
     addresses: [ ${net}.2/24 ]
     gateway4: ${net}.1
     nameservers: 
      addresses: [ 8.8.8.8 ]
     optional: yes
EOF

netplan apply
apt upgrade

